SPIParameterMetaData
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SPIParameterMetaData

    java.lang.Object
      org.postgresql.pljava.jdbc.SPIParameterMetaData

All Implemented Interfaces:
  java.sql.ParameterMetaData, java.sql.Wrapper

    public class SPIParameterMetaData

extends java.lang.Object
implements java.sql.ParameterMetaData

Field Summary

Fields inherited from interface java.sql.ParameterMetaData
`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

Method Summary
`java.lang.String` | `getParameterClassName(int arg0)` This feature is not yet supported.
`int` | `getParameterCount()`
`int` | `getParameterMode(int paramIndex)` Returns `ParameterMetaData.parameterModeIn` always since this is the only supported type at this time.
`int` | `getParameterType(int paramIndex)`
`java.lang.String` | `getParameterTypeName(int arg0)` This feature is not yet supported.
`int` | `getPrecision(int arg0)`
`int` | `getScale(int arg0)`
`int` | `isNullable(int arg0)`
`boolean` | `isSigned(int arg0)`
`boolean` | `isWrapperFor(java.lang.Class<?> iface)`
`
`<T> T`
` | `unwrap(java.lang.Class<T> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParameterCount

    public int getParameterCount()
                          throws java.sql.SQLException

  Specified by:
    `getParameterCount` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException`

### isNullable

    public int isNullable(int arg0)
                   throws java.sql.SQLException

  Specified by:
    `isNullable` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException`

### isSigned

    public boolean isSigned(int arg0)
                     throws java.sql.SQLException

  Specified by:
    `isSigned` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException`

### getPrecision

    public int getPrecision(int arg0)
                     throws java.sql.SQLException

  Specified by:
    `getPrecision` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException`

### getScale

    public int getScale(int arg0)
                 throws java.sql.SQLException

  Specified by:
    `getScale` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException`

### getParameterType

    public int getParameterType(int paramIndex)
                         throws java.sql.SQLException

  Specified by:
    `getParameterType` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException`

### getParameterTypeName

    public java.lang.String getParameterTypeName(int arg0)
                                          throws java.sql.SQLException

  This feature is not yet supported.

  Specified by:
    `getParameterTypeName` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### getParameterClassName

    public java.lang.String getParameterClassName(int arg0)
                                           throws java.sql.SQLException

  This feature is not yet supported.

  Specified by:
    `getParameterClassName` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### getParameterMode

    public int getParameterMode(int paramIndex)
                         throws java.sql.SQLException

  Returns `ParameterMetaData.parameterModeIn` always since this is the only supported type at this time.

  Specified by:
    `getParameterMode` in interface `java.sql.ParameterMetaData`
  Throws:
    `java.sql.SQLException`

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT